using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_49_3;

[TestClass]
public class BIORAD2
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_49_3.BIORAD2 _BIORAD2;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_49_3.BIORAD2.ClassInitialize(testContext);
        _BIORAD2 = CreateSelfDescription.Staging.v2_49_3.BIORAD2.EAFLoggingUnitTesting;
    }

    private static void NonThrowTryCatch()
    {
        try
        { throw new Exception(); }
        catch (Exception) { }
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_49_3__BIORAD2__QS408M() => _BIORAD2.Staging__v2_49_3__BIORAD2__QS408M();

    [Ignore]
    [TestMethod]
    public void Staging__v2_49_3__BIORAD2__QS408M638185231662401081__NinePoint()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD2.Staging__v2_49_3__BIORAD2__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD2.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD2.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_49_3__BIORAD2__QS408M638185291035612698__FourteenPoint()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD2.Staging__v2_49_3__BIORAD2__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD2.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD2.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_49_3__BIORAD2__QS408M638206292859940029__EpiPro()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD2.Staging__v2_49_3__BIORAD2__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD2.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD2.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_49_3__BIORAD2__QS408M638211310710952565__WMO()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD2.Staging__v2_49_3__BIORAD2__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD2.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD2.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

}